## org.apache.batik.bridge
Class FocusManager.DOMFocusInTracker

    java.lang.Object
      org.apache.batik.bridge.FocusManager.DOMFocusInTracker

All Implemented Interfaces:
  EventListener

Direct Known Subclasses:
  SVG12FocusManager.DOMFocusInTracker

Enclosing class:
  FocusManager

    protected class FocusManager.DOMFocusInTracker

extends java.lang.Object
implements EventListener

The class that is responsible for tracking 'DOMFocusIn' changes.

Constructor Summary
`protected` `FocusManager.DOMFocusInTracker()`

Method Summary
`void` `handleEvent(Event evt)` This method is called whenever an event occurs of the event type for which the `EventListener` interface was registered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FocusManager.DOMFocusInTracker

    protected FocusManager.DOMFocusInTracker()

Method Detail

### handleEvent

    public void handleEvent(Event evt)

  Description copied from interface: `EventListener`
  This method is called whenever an event occurs of the event type for which the `EventListener` interface was registered.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `evt` - The `Event` contains contextual information about the event.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.